Bug 1144886 - Review Request: hackrf - Utilities for HackRF
Summary: Review Request: hackrf - Utilities for HackRF
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian "der-flo" Lehner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-21 20:20 UTC by Scott K Logan
Modified: 2014-10-14 04:39 UTC (History)
2 users (show)

Fixed In Version: hackrf-2014.08.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-13 21:40:36 UTC
dev: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Scott K Logan 2014-09-21 20:20:37 UTC
Spec URL: https://cottsay.fedorapeople.org/hackrf/hackrf.spec
SRPM URL: https://cottsay.fedorapeople.org/hackrf/hackrf-2014.08.1-1.fc21.src.rpm

Description:
Hardware designs and software for HackRF, a project to produce a low cost, open
source software radio platform.

Fedora Account System Username: cottsay

Koji scratch builds:
F20: http://koji.fedoraproject.org/koji/taskinfo?taskID=7644606
F21: http://koji.fedoraproject.org/koji/taskinfo?taskID=7644619

rpmlint output:
hackrf-doc.noarch: W: file-not-utf8 /usr/share/doc/hackrf-doc/SPIFI_Quad_Tests_OLS/SPIFI_QUAD_100MHZ_OLS_0_9_6b3_JellyBean_Startup_Dual4_M4_SPIFI_0_Analyze.txt
hackrf.x86_64: W: name-repeated-in-summary C HackRF
hackrf.x86_64: W: no-manual-page-for-binary hackrf_max2837
hackrf.x86_64: W: no-manual-page-for-binary hackrf_transfer
hackrf.x86_64: W: no-manual-page-for-binary hackrf_si5351c
hackrf.x86_64: W: no-manual-page-for-binary hackrf_spiflash
hackrf.x86_64: W: no-manual-page-for-binary hackrf_cpldjtag
hackrf.x86_64: W: no-manual-page-for-binary hackrf_rffc5071
hackrf.x86_64: W: no-manual-page-for-binary hackrf_info
hackrf-devel.x86_64: W: only-non-binary-in-usr-lib
hackrf-devel.x86_64: W: no-documentation
hackrf-static.x86_64: W: spelling-error Summary(en_US) libhackrf -> linebacker
hackrf-static.x86_64: W: spelling-error %description -l en_US libhackrf -> linebacker
hackrf-static.x86_64: W: no-documentation
5 packages and 1 specfiles checked; 0 errors, 14 warnings.

Notes:
* Two patches were applied and were reported upstream [1] [2]
* Upstream has been notified of packaging [3]
* This package complies with GitHub packaging guidelines [4]
* This package complies with static library packaging guidelines [5]
* The non-UTF8 file contains example HEX code that can't be represented in UTF8

Thanks,

--scott

[1] https://github.com/mossmann/hackrf/pull/140
[2] https://github.com/mossmann/hackrf/pull/141
[3] https://github.com/mossmann/hackrf/issues/142
[4] https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL#Github
[5] http://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries_2

Comment 1 Florian "der-flo" Lehner 2014-09-22 19:30:59 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "LGPL (v2.1 or later) (with incorrect FSF address)",
     "GPL (v2 or later)", "Unknown or generated". 10 files have unknown
     license. Detailed output of licensecheck in
     /home/flo/review/1144886-hackrf/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/include/libhackrf
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/udev,
     /usr/include/libhackrf, /usr/lib/udev/rules.d
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Static libraries in -static or -devel subpackage, providing -devel if
     present.
     Note: Package has .a files: hackrf-static.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in hackrf-
     devel , hackrf-doc , hackrf-static
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=7650871
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: hackrf-2014.08.1-1.fc22.x86_64.rpm
          hackrf-devel-2014.08.1-1.fc22.x86_64.rpm
          hackrf-doc-2014.08.1-1.fc22.noarch.rpm
          hackrf-static-2014.08.1-1.fc22.x86_64.rpm
          hackrf-2014.08.1-1.fc22.src.rpm
hackrf.x86_64: W: name-repeated-in-summary C HackRF
hackrf.x86_64: W: no-manual-page-for-binary hackrf_max2837
hackrf.x86_64: W: no-manual-page-for-binary hackrf_transfer
hackrf.x86_64: W: no-manual-page-for-binary hackrf_si5351c
hackrf.x86_64: W: no-manual-page-for-binary hackrf_spiflash
hackrf.x86_64: W: no-manual-page-for-binary hackrf_cpldjtag
hackrf.x86_64: W: no-manual-page-for-binary hackrf_rffc5071
hackrf.x86_64: W: no-manual-page-for-binary hackrf_info
hackrf-devel.x86_64: W: only-non-binary-in-usr-lib
hackrf-devel.x86_64: W: no-documentation
hackrf-doc.noarch: W: file-not-utf8 /usr/share/doc/hackrf-doc/SPIFI_Quad_Tests_OLS/SPIFI_QUAD_100MHZ_OLS_0_9_6b3_JellyBean_Startup_Dual4_M4_SPIFI_0_Analyze.txt
hackrf-static.x86_64: W: spelling-error Summary(en_US) libhackrf -> linebacker
hackrf-static.x86_64: W: spelling-error %description -l en_US libhackrf -> linebacker
hackrf-static.x86_64: W: no-documentation
hackrf.src: W: name-repeated-in-summary C HackRF
5 packages and 0 specfiles checked; 0 errors, 15 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint hackrf-doc hackrf hackrf-devel hackrf-static
hackrf-doc.noarch: W: file-not-utf8 /usr/share/doc/hackrf-doc/SPIFI_Quad_Tests_OLS/SPIFI_QUAD_100MHZ_OLS_0_9_6b3_JellyBean_Startup_Dual4_M4_SPIFI_0_Analyze.txt
hackrf.x86_64: W: name-repeated-in-summary C HackRF
hackrf.x86_64: W: no-manual-page-for-binary hackrf_max2837
hackrf.x86_64: W: no-manual-page-for-binary hackrf_transfer
hackrf.x86_64: W: no-manual-page-for-binary hackrf_si5351c
hackrf.x86_64: W: no-manual-page-for-binary hackrf_spiflash
hackrf.x86_64: W: no-manual-page-for-binary hackrf_cpldjtag
hackrf.x86_64: W: no-manual-page-for-binary hackrf_rffc5071
hackrf.x86_64: W: no-manual-page-for-binary hackrf_info
hackrf-devel.x86_64: W: only-non-binary-in-usr-lib
hackrf-devel.x86_64: W: no-documentation
hackrf-static.x86_64: W: spelling-error Summary(en_US) libhackrf -> linebacker
hackrf-static.x86_64: W: spelling-error %description -l en_US libhackrf -> linebacker
hackrf-static.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 14 warnings.
# echo 'rpmlint-done:'



Requires
--------
hackrf-doc (rpmlib, GLIBC filtered):
    hackrf

hackrf (rpmlib, GLIBC filtered):
    /bin/sh
    libc.so.6()(64bit)
    libhackrf.so.0()(64bit)
    libpthread.so.0()(64bit)
    libusb-1.0.so.0()(64bit)
    rtld(GNU_HASH)

hackrf-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    hackrf
    libhackrf.so.0()(64bit)
    libusbx-devel

hackrf-static (rpmlib, GLIBC filtered):
    hackrf-devel



Provides
--------
hackrf-doc:
    hackrf-doc

hackrf:
    hackrf
    hackrf(x86-64)
    libhackrf.so.0()(64bit)

hackrf-devel:
    hackrf-devel
    hackrf-devel(x86-64)
    hackrf-static
    pkgconfig(libhackrf)

hackrf-static:
    hackrf-static
    hackrf-static(x86-64)



Source checksums
----------------
https://github.com/mossmann/hackrf/archive/69c4997727a5c4740d7d5a187f7030cca513deff/hackrf-69c4997727a5c4740d7d5a187f7030cca513deff.tar.gz :
  CHECKSUM(SHA256) this package     : 2fa064faf3838384a832d0fef8ec1ad15c32dc1356d77b3d007d0b34dda07474
  CHECKSUM(SHA256) upstream package : 2fa064faf3838384a832d0fef8ec1ad15c32dc1356d77b3d007d0b34dda07474


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1144886
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

===== Solution =====
      APPROVED

Comment 2 Scott K Logan 2014-09-22 20:15:00 UTC
New Package SCM Request
=======================
Package Name: hackrf
Short Description: Utilities for HackRF
Upstream URL: https://github.com/mossmann/hackrf/wiki
Owners: cottsay
Branches: f19 f20 f21 epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-09-23 12:18:52 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-09-24 17:00:51 UTC
hackrf-2014.08.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/hackrf-2014.08.1-1.fc21

Comment 5 Fedora Update System 2014-09-24 17:01:00 UTC
hackrf-2014.08.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hackrf-2014.08.1-1.fc20

Comment 6 Fedora Update System 2014-09-24 17:01:08 UTC
hackrf-2014.08.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/hackrf-2014.08.1-1.fc19

Comment 7 Fedora Update System 2014-09-24 17:01:15 UTC
hackrf-2014.08.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/hackrf-2014.08.1-1.el7

Comment 8 Fedora Update System 2014-09-24 18:26:03 UTC
hackrf-2014.08.1-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 9 Fedora Update System 2014-10-13 21:40:36 UTC
hackrf-2014.08.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 10 Fedora Update System 2014-10-14 04:33:22 UTC
hackrf-2014.08.1-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Fedora Update System 2014-10-14 04:37:22 UTC
hackrf-2014.08.1-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 12 Fedora Update System 2014-10-14 04:39:29 UTC
hackrf-2014.08.1-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.